{% extends "fitur_status/layout/base.html" %}

{% block title %} Status {% endblock %}

{% block content %}
<head>
    <style >
        .status-list{
  text-align: center;
  background: #fff;
  position: relative;
  z-index: 15;
  margin-bottom: 20px; /* jarak antar kotak */
  -webkit-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -o-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  transition: 0.5s all;
  -webkit-transition: 0.5s all;
  -moz-transition: 0.5s all;
  -o-transition: 0.5s all;

  top:0;
  -webkit-transition: top ease 0.5s, box-shadow 0.3s ease-in-out; /* For Safari 3.1 to 6.0 */
  transition: top ease 0.5s, box-shadow 0.3s ease-in-out;

}

.status-list:hover {
  top:-10px;
  -webkit-box-shadow: 0 12px 25px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 12px 25px 10px rgba(0, 0, 0, 0.2);
    -o-box-shadow: 0 12px 25px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 12px 25px 10px rgba(0, 0, 0, 0.2);
}
.flex{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
  align-content: flex-start;
  margin-right: -15px;
  margin-left: -15px;
}
.flex-item{
  padding: 0 5px;
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 100%;
  float: center;
}

.status-list .status-profile {
  font-size: 18px;
  font-weight: 500;
  padding: 10px 10px;
  overflow: hidden;
}

.status-list .status-profile .status-profile-left {
  width: 50px;
  float: left;
}
.status-list .status-profile .status-profile-right {
  margin: 10px 10px;
  float: left;
}

.status-list .status-message {
  padding: 10px 25px;
  z-index: 15;
  background: #fff;
  height: 80px;
  text-align: justify;
  overflow: auto;
}

.status-list .status-date-added {
  font-size: 12px;
  padding: 0 10px;
  text-align: left;
}
    </style>
</head>
{% if pengguna %}
<section name="input-list" id="update-status-box">
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2">

                <form id="form" method="POST" action="{% url 'status:message_post,' %}">
                    <h2><strong>Update status...</strong></h2>
                    {% csrf_token %}
                    {{ status_form }}
                    <input id="submit" type="submit" class="btn btn-md btn-info" value="Submit">
                    <br>
                </form>
            </div>
        </div>
        
    </div>
</section>
{% endif %}
<section class="panel-body" name="my-list" id="my-list">
 <div class="flex">
  {% if status %}
        {% for i in message reversed %}
    <div class="container">
     <div class="status-list">
      <div class="status-profile">
       <div class="status-profile-left">
       </div>
       <div class="status-profile-right">
        {{i.pengguna.nama}}
       </div>
      </div>
      <div class="status-message">
       {{i.message}}
      </div>
      <div class="status-date-added">
       <small><i>Posted on {{i.created_date}}</i></small>
      </div>
     </div>       
    </div>
   {% endfor %}
  {% else %}
         <div class="container text-center"  style="padding-top: 15px;">
            <div class="row">
                <div class="col-sm-8 col-sm-offset-2">
                    <div id="empty" class="alert alert-danger">
                        <strong>Oops!</strong> Anda belum membuat status apapun.
                    </div>
                    
                </div>
            </div>
            
        </div>
    {% endif %}
</section>

{% endblock %}
